Building 19.07.9 images fails (make: *** No rule to make target)

Hello,

I use a couple of 4/32 warriors which do there job perfectly till today and don't need to end as landfill :do_not_litter:

The devices I have problems with building a 19.07.9 image (19.07.9_ramips_imagebuilder) are: wr512-3gn-4M and a a5-v11.

Weird thing is that I was building a 19.07.6 image successful for the wr512-3gn-4M and it is in permanent use since over a year without any problems. It's acting as WDS repeater so it doesn't do much (no firewall, no dhcp, no wan...).

When now using the latest image builder I get:

> make image PROFILE="wdr512-3g-4M" PACKAGES="uhttpd uhttpd-mod-ubus libiwinfo-lua luci-base luci-app-firewall luci-mod-admin-full luci-theme-bootstrap -ppp -ppp-mod-pppoe -kmod-ppp -ip6tables -odhcp6c -kmod-ipv6 -kmod-ip6tables"

Makefile:207: warning: overriding recipe for target 'image'
Makefile:176: warning: ignoring old recipe for target 'image'
Makefile:72: builders/19.07.9_ramips_imagebuilder/openwrt-imagebuilder-19.07.9-ramips-rt305x.Linux-x86_64/include/target.mk: No such file or directory
make: *** No rule to make target 'builders/19.07.9_ramips_imagebuilder/openwrt-imagebuilder-19.07.9-ramips-rt305x.Linux-x86_64/include/target.mk'.  Stop.

and for the a5-v11:

> make image PROFILE="a5-v11" PACKAGES="uhttpd uhttpd-mod-ubus libiwinfo-lua luci-base luci-app-firewall luci-mod-admin-full luci-theme-bootstrap -ppp -ppp-mod-pppoe -kmod-ppp -ip6tables -odhcp6c -kmod-ipv6 -kmod-ip6tables"

Makefile:207: warning: overriding recipe for target 'image'
Makefile:176: warning: ignoring old recipe for target 'image'
Makefile:72: builders/19.07.9_ramips_imagebuilder/openwrt-imagebuilder-19.07.9-ramips-rt305x.Linux-x86_64/include/target.mk: No such file or directory
make: *** No rule to make target 'builders/19.07.9_ramips_imagebuilder/openwrt-imagebuilder-19.07.9-ramips-rt305x.Linux-x86_64/include/target.mk'.  Stop.

What's wrong? Why can't I have a up2date image?
:thinking:

So I found out that the a5-v11 is "stuck" on a 17.x release.

That's rather odd because a virtually identical device with battery, the hame mpr-a1 is supported by 19.x

And about the wr512-3gn-4M, I have no idea why I could build 19.x images in the past and now it just doesn't work anymore.

It was already in past versions of the image builder that if the image is to big to fit in flash it will not be saved even though the whole compiling stuff was running.